The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Assemblies

Get type assemblies

GET /types/{typeId}/assemblies

Returns the list of assemblies for the given type.

Output example:

[
    {
        "Name": "AC Units",
        "Items": [],
        "Id": "277831b4-915d-4c1a-9a71-f061706eb571"
    }
]

Create type assembly

POST /types/{typeId}/assemblies

Creates an assembly for the given type.

Body:

{
        "Name": "AC Units",               
}

Create type assembly

Get type assembly items

GET /types/{typeId}/assemblies/{assemblyId}/items

Returns the list of items for the given assembly.

Output example:

[
    {
        "Type": {
            "Name": "Air Conditioner (Outdoor Unit)",
            "IsMajor": false,
            "Specifications": [],
            "Assets": [],
            "AssetsCount": 0,
            "Id": "f9a85305-a7c3-495d-a23e-be60dcabf33c"
        },
        "Id": "5297a696-35e0-46a8-b5a9-60b25d5dc1f0"
    },
    {
        "Type": {
            "Name": "Air Conditioner (Indoor Unit)",
            "IsMajor": false,
            "Specifications": [],
            "Assets": [],
            "AssetsCount": 0,
            "Id": "6a525842-b1fb-457d-988c-aaeb7c1b0864"
        },
        "Id": "b8f8b69d-db90-4c02-adb8-b6f6c28fe63e"
    }
]

Create type assembly item

POST /types/{typeId}/assemblies/{assemblyId}/items

Creates an item within the given assembly.

Body:

{
        "Type": {
            "Id": "f9a85305-a7c3-495d-a23e-be60dcabf33c"
        },
        "AssemblyType": {
            "Id": "18A57A89-F5C4-488C-82CF-8BB0BDEBAD3E"
        }
}

create type assembly item

Get asset assemblies

GET /assets/{assetId}/assemblies

Returns the list of assemblies for the given asset.

Output example:

[
    {
        "Name": "AC Units",
        "Items": [],
        "Id": "277831b4-915d-4c1a-9a71-f061706eb571"
    }
]

Get asset assembly items

GET /assets/{assetId}/assemblies/{assemblyId}/items

Returns the list of items for the given assembly.

Output example:

[
    {
        "Type": {
            "Name": "Air Conditioner (Outdoor Unit)",
            "IsMajor": false,
            "Specifications": [],
            "Assets": [],
            "AssetsCount": 0,
            "Id": "f9a85305-a7c3-495d-a23e-be60dcabf33c"
        },
        "Asset": {
            "Name": "AC-OU-1",
            "LocationsCount": 0,
            "Id": "657915b9-f680-4363-9442-d0cea4a2551c"
        },
        "Id": "5297a696-35e0-46a8-b5a9-60b25d5dc1f0"
    },
    {
        "Type": {
            "Name": "Air Conditioner (Indoor Unit)",
            "IsMajor": false,
            "Specifications": [],
            "Assets": [],
            "AssetsCount": 0,
            "Id": "6a525842-b1fb-457d-988c-aaeb7c1b0864"
        },
        "Id": "b8f8b69d-db90-4c02-adb8-b6f6c28fe63e"
    }
]

PUT /assets/{assetId}/assemblies/{assemblyId}/items/{assemblyItemId}

Links an asset to a given assembly item. The asset must match the assembly item's type.

SELECT {"Asset"}

Body:

{
        "Asset": {
            "Id": "657915b9-f680-4363-9442-d0cea4a2551c"
        }    
}

create asset assembly item result